Send MM lite message with GIF Template

This API is used to send marketing messages with GIF template

curl --location --request POST 'https://partner.gupshup.io/partner/app/{{APP_ID}}/onboarding/marketing/msg' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "recipient_type": "individual",
    "messaging_product": "whatsapp",
    "to": "{{DESTINATION}}",
    "type": "template",
    "template": {
        "name": "{{TEMPLATE_NAME}}",
        "language": {
            "policy": "deterministic",
            "code": "{{LANGUAGE_CODE}}"
        },
        "namespace": "{{NAMESPACE}}",
        "components": [
            {
                "type": "header",
                "parameters": [
                    {
                        "type": "GIF",
                        "gif": {
                            "link": "{{GIF_URL}}"
                        }
                    }
                ]
            },
            {
                "type": "body"
            }
        ]
    }
}'

Status Codes:


Status CodeResponseComments
Success
200{ "messages": [ { "id": "1ceeb739-06cd-4434-a1e0-8afac154ede4" } ], "messaging_product": "whatsapp", "contacts": [ { "input": "9188889945", "wa_id": "9188898545" } ] }
Error
400{ "status": "error", "message": "MM lite is not enabled for this app" }
401{ "status":"error", "message":"Unauthorised access to the resource. Please review request parameters and headers and retry" }